Bug 70712 - KDE: Support of opening and saving to a remote fs via KIO
Summary: KDE: Support of opening and saving to a remote fs via KIO
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other Linux (All)
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: KDE Desktop-Integration
  Show dependency treegraph
 
Reported: 2013-10-21 08:15 UTC by Jochen Herrmann
Modified: 2019-04-09 08:47 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Herrmann 2013-10-21 08:15:18 UTC
We keep all our LibreOffice documents in a shared subdir on a NAS HD. The NAS HD is driven on the network via a Fritz!Box 7390 (www.avm.de) This works well with all our Windows XP and 7 PC's. As we don't want to follow the MS path to Windwos 8 we decided to use OpenSuse 12.3 with KDE instead. 

But whenever we try to open with the Linux version of Libreoffice any kind of file on the NAS drive (over the network) we get the message "You are only allowed to access local files"

But if I select the file via Dolphin, I can open the file in Libreoffice without any problem. But this is, on the long run, an unacceptable procedure.

I found on the internet information that said that Libreoffice does not support so called  KIO slaves, which I was told is necessary with KDE !?!?!

If you need more information, please send me an email. I can give you my skype name and/or telephone number. 

TIA, Joe Herrmann
Operating System: openSUSE
Version: 4.1.2.3 release
Comment 1 Maxim Monastirsky 2013-10-21 09:52:06 UTC
Confirmed using 4.1.2.3 under Ubuntu 13.10 (64-bit). Currently KDE integration module doesn't support opening\saving via KIO, so it's an enhancement request.

The workaround is: Go to Tools->Options...->General, and activate 'Use LibreOffice dialogs' under 'Open/Save dialogs'.
Comment 2 Luboš Luňák 2014-04-25 13:47:30 UTC
*** Bug 49776 has been marked as a duplicate of this bug. ***
Comment 3 Stephan Bergmann 2014-10-08 09:09:21 UTC
(also see <http://lists.freedesktop.org/archives/libreoffice/2014-October/063904.html> "Re: X-KDE-Protocols=...,smb,...")
Comment 4 Hilario Fochi Silveira 2015-03-19 14:54:03 UTC
(In reply to Maxim Monastirsky from comment #1)
> Confirmed using 4.1.2.3 under Ubuntu 13.10 (64-bit). Currently KDE
> integration module doesn't support opening\saving via KIO, so it's an
> enhancement request.
> 
> The workaround is: Go to Tools->Options...->General, and activate 'Use
> LibreOffice dialogs' under 'Open/Save dialogs'.

I tried the work around proposed, but it is not user friendly. It is impossible to train all employees (average Joe) to use such a difficult solution.
Comment 5 Yousuf Philips (jay) (retired) 2015-08-29 20:42:50 UTC
I believe this bug maybe related or a duplicate of bug 67527 and bug 49776 shouldnt have been closed as a duplicate of this, as this bug is KDE specific and that bug wasnt.

What is your take on this Maxim?
Comment 6 Maxim Monastirsky 2015-08-29 21:16:48 UTC
(In reply to Yousuf (Jay) Philips from comment #5)
> I believe this bug maybe related or a duplicate of bug 67527
No. Bug 67527 is about using GIO on KDE system, this one is about KIO support.

> and bug 49776 shouldnt have been closed as a duplicate of this
Agree. Bug 49776 is either fixed as per Bug 49776 comment 6, or a variation of (one of the issues discussed in) Bug 67527.